{ config, pkgs, ... }:

with builtins;

rec {
  networking.hostName = "dcr01s22";
  # TODO: undefine fqdn and define domain after big nix change
  hscloud.base.fqdn = "${networking.hostName}.hswaw.net";
  #networking.domain = "hswaw.net";
  system.stateVersion = "19.09";
  nix.maxJobs = 48;


  fileSystems."/".device = "/dev/vg-nixos-hscloud/nixos-root";

  fileSystems."/boot1" =
    { device = "/dev/disk/by-partuuid/b493fb11-84e4-43bf-b55a-bbe2f21b938b";
      fsType = "vfat";
    };
  fileSystems."/boot2" =
    { device = "/dev/disk/by-partuuid/4bb9ddf4-cd1c-4d9f-9f4a-a20bb40d8040";
      fsType = "vfat";
    };
  boot.loader.systemd-boot.enable = false;
  boot.loader.efi.canTouchEfiVariables = true;
  boot.loader.grub = {
    enable = true;
    version = 2;
    efiSupport = true;
    mirroredBoots = [
      { devices = [ "nodev" ]; path = "/boot1"; efiSysMountPoint = "/boot1"; }
      { devices = [ "nodev" ]; path = "/boot2"; efiSysMountPoint = "/boot2"; }
    ];
  };


  hscloud.base = {
    mgmtIf = "enp130s0f0";
    ipAddr = "185.236.240.39";
    ipAddrBits = 28;
    gw = "185.236.240.33";
  };

  hscloud.kube = {
    control.enable = true;
    data.enable = true;
    data.podNet = "10.10.19.0/24";
  };
}

