local kube = import "../../../../kube/hscloud.libsonnet";
local gitStaticSite = import "../lib/gitStaticSite.libsonnet";

{
    local top = self,
    local ns = kube.Namespace('personal-radex'),

    site: gitStaticSite {
        cfg+: {
            name: 'gadzber',
            namespace: 'personal-radex',
            domains: [
                'gadzber.radex.hscloud.ovh',
                'gadzber.pl',
                'www.gadzber.pl',
            ],
            source: {
                repo: 'git@github.com:gadzber/website.git',
                staticSubpath: 'public',
                sshSecretName: 'gadzber-ssh',
            },
            storage: '10Mi',
        },
    },
}
