local kube = import "../../../../kube/hscloud.libsonnet";
local gitStaticSite = import "../lib/gitStaticSite.libsonnet";

{
    local top = self,
    local ns = kube.Namespace('personal-radex'),

    site: gitStaticSite {
        cfg+: {
            name: 'parsley',
            namespace: 'personal-radex',
            domains: [
                'parsley.radex.hscloud.ovh',
                'parsley.hs.radex.io',
                'pietruszew.ski',
                'www.pietruszew.ski',
            ],
            source: {
                repo: 'git@github.com:radex/pietruszew.ski.git',
                staticSubpath: 'public',
                sshSecretName: 'parsley-ssh',
            },
            storage: '50Mi',
        },
    },

    // FIXME: broken, not allowed by admitomatic :/
    redirects:: ns.Contain(kube.SimpleIngress("parsley-redirects")) {
        metadata+: {
            annotations+: {
                'nginx.ingress.kubernetes.io/permanent-redirect': 'https://radex.io'
            },
        },
        hosts:: [
            'radek.pietruszew.ski',
            'radziu.pietruszew.ski',
            'radoslaw.pietruszew.ski',
            'radex.pietruszew.ski',
        ],
        target:: top.site.service,
    }
}
